curl --request GET \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/hubs/{hubId}/boards/{boardId}/integration-info \
--header 'Authorization: <api-key>'{
"connections": [
{
"id": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"requiresUserAuth": true,
"authConfig": {
"authType": "oidc",
"connectionId": "<string>",
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
}
],
"listeners": [
{
"url": "<string>",
"appName": "<string>",
"appId": "<string>",
"nodeId": "<string>"
}
],
"variables": {}
}Retrieves all the information needed that a user needs to fill out to use a Hub integration.
curl --request GET \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/hubs/{hubId}/boards/{boardId}/integration-info \
--header 'Authorization: <api-key>'{
"connections": [
{
"id": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"requiresUserAuth": true,
"authConfig": {
"authType": "oidc",
"connectionId": "<string>",
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
}
],
"listeners": [
{
"url": "<string>",
"appName": "<string>",
"appId": "<string>",
"nodeId": "<string>"
}
],
"variables": {}
}Documentation Index
Fetch the complete documentation index at: https://docs.versori.com/llms.txt
Use this file to discover all available pages before exploring further.
The showPrivate query parameter will make the endpoint show all dynamic connections, event if they are private dynamic connections.